scan_Wimax() {
	uci_set_state network $1 device wimax0
}

stop_interface_Wimax() {
	killall -q udhcpc

	ifconfig wimax0 down
	logger "Wimax interface down"
}

setup_interface_Wimax() {
	local config="$2"

	set_interface_ifname "$config" wimax0

	ifconfig wimax0 up

	killall -q udhcpc
	while route del default ; do
		:
	done

	#wimax wan
	pidfile="/var/run/wimax0.pid"
	logger "udhcpc -t 0 -i wimax0 -b -p $pidfile"
	udhcpc -t 0 -i wimax0 -b -p "$pidfile" &

	logger "Wimax interface up"
}
